Transcribe audio

Convert audio to text

POST /v1/audio/transcriptions

Service root: https://getrouter.ai

Protocol: OpenAI Audio

Authentication: Authorization: Bearer YOUR_API_KEY

Request body

The request body is required. Media type: multipart/form-data

Request fields

FieldTypeRequiredDescription
filestringYesAudio file
modelstringYes
languagestringNoISO-639-1 language code
promptstringNo
response_formatstringNoAllowed values: json, text, srt, verbose_json, vtt; Default: "json"
temperaturenumberNo
timestamp_granularitiesarray<string>No

Example request

curl --request POST \
  --url https://getrouter.ai/v1/audio/transcriptions \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --form "file=@/path/to/file" \
  --form "model=MODEL_ID"

Responses

StatusDescription
200Transcription completed successfully

Success response fields

FieldTypeRequiredDescription
textstringNo

Example response

{
  "text": "string"
}

For complete workflows and examples, read the Audio API Guide.


This page is generated from the public Relay OpenAPI specification. Browse the complete specification in the API Explorer.